{"openapi":"3.1.0","info":{"title":"Api","version":"0.0.1"},"paths":{"/public-key":{"get":{"tags":["signature"],"operationId":"signature.publicKey","parameters":[],"security":[],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"HttpApiDecodeError","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpApiDecodeErrorEncoded"}}}}},"description":"Rhino.fi public key used to verify webhook events signatures.","summary":"Rhino.fi Webhook Public Key"}},"/user-events-cursor":{"get":{"tags":["user-events"],"operationId":"user-events.user-events-cursor","parameters":[{"name":"sinceTimestamp","in":"query","schema":{"type":"string","description":"The date and time that events should be returned from, in milliseconds since epoch. Filtering is inclusive: events that occurred at or after this time are included."},"required":true},{"name":"pageToken","in":"query","schema":{"$ref":"#/components/schemas/PageToken"},"required":false},{"name":"pageSize","in":"query","schema":{"type":"string"},"required":false}],"security":[{"bearer":[]},{"legacyApiKey":[]}],"responses":{"200":{"description":"WebhookUserEventsCursorResponse","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookUserEventsCursorResponseEncoded"}}}},"400":{"description":"InvalidJwt | HttpApiDecodeError","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/InvalidJwtEncoded"},{"$ref":"#/components/schemas/HttpApiDecodeErrorEncoded"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedEncoded"}}}}},"description":"This endpoint provides the webhook events generated for your project since a given point in time, using cursor-based pagination. It can be used to reconcile or replay events, for example where your webhook endpoint was unavailable at the time an event was sent.","summary":"Obtain a list of previously generated webhook events"}}},"components":{"schemas":{"HttpApiDecodeErrorEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["HttpApiDecodeError"]},"issues":{"type":"array","items":{"type":"object","properties":{"_tag":{"type":"string","enum":["Pointer","Unexpected","Missing","Composite","Refinement","Transformation","Type","Forbidden"]},"path":{"type":"array","items":{"anyOf":[{"type":"string"},{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]}]}},"message":{"type":"string"}},"required":["_tag","path","message"],"additionalProperties":false}},"message":{"type":"string"}},"required":["_tag","issues","message"],"additionalProperties":false},"InvalidJwtEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["InvalidJwt"]},"message":{"type":"string"}},"required":["_tag","message"],"additionalProperties":false},"UnauthorizedEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["Unauthorized"]},"message":{"type":"string"}},"required":["_tag","message"],"additionalProperties":false},"WebhookUserEventsCursorResponseEncoded":{"type":"object","properties":{"items":{"type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/BridgePendingEvent"},{"$ref":"#/components/schemas/BridgeAcceptedEvent"},{"$ref":"#/components/schemas/BridgeCancelledEvent"},{"$ref":"#/components/schemas/BridgeExecutedEvent"},{"$ref":"#/components/schemas/BridgeRefundedEvent"},{"$ref":"#/components/schemas/DepositAddressCreatedEventEncoded"},{"$ref":"#/components/schemas/DepositAddressDepositDetectedEventEncoded"},{"$ref":"#/components/schemas/DepositAddressDepositConfirmingEventEncoded"},{"$ref":"#/components/schemas/DepositAddressBridgeRejectedEventEncoded"},{"$ref":"#/components/schemas/DepositAddressBridgeDelayedEventEncoded"},{"$ref":"#/components/schemas/RoutingDepositAddressCreatedEventEncoded"},{"$ref":"#/components/schemas/RoutingDepositAddressBridgeRejectedEventEncoded"},{"$ref":"#/components/schemas/RoutingDepositAddressBridgeDelayedEventEncoded"},{"$ref":"#/components/schemas/CompletedSdaRefundEventEncoded"},{"$ref":"#/components/schemas/WebhookTestEventEncoded"}]},"description":"The webhook events for the project that occurred after the given sinceTimestamp."},"nextPageToken":{"anyOf":[{"type":"string","minLength":1},{"type":"null"}],"description":"The next page of results that can be used within the pageToken query param for further results. Null when there are no further results."}},"required":["items","nextPageToken"],"additionalProperties":false},"WebhookTestEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["WEBHOOK_TEST"]},"type":{"type":"string","enum":["test"]},"message":{"type":"string","minLength":1}},"required":["_tag","type","message"],"additionalProperties":false},"CompletedSdaRefundEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["SDA_REFUND_COMPLETED"]},"refundId":{"type":"string","minLength":1,"description":"The unique identifier of the refund."},"depositAddress":{"anyOf":[{"$ref":"#/components/schemas/EthAddressSchemaEncoded"},{"$ref":"#/components/schemas/TronAddressBasic"},{"$ref":"#/components/schemas/SolanaAddress"},{"$ref":"#/components/schemas/StellarMuxedAddress"},{"$ref":"#/components/schemas/BitcoinAddressSchema"}],"description":"The Rhino.fi Smart Deposit Address that the refunded tokens were sent to."},"depositChain":{"type":"string","minLength":1,"description":"The blockchain where the deposit was sent to."},"recipient":{"anyOf":[{"$ref":"#/components/schemas/EthAddressSchemaEncoded"},{"$ref":"#/components/schemas/TronAddressBasic"},{"$ref":"#/components/schemas/SolanaAddress"},{"$ref":"#/components/schemas/StellarMuxedAddress"},{"$ref":"#/components/schemas/BitcoinAddressSchema"}],"description":"The address that the refund was sent to."},"trigger":{"anyOf":[{"type":"object","properties":{"_tag":{"type":"string","enum":["UNSUPPORTED_TOKEN"]},"nativeToken":{"type":"boolean","description":"Whether the refunded asset is the chain's native token."},"amountWei":{"type":"string"},"tokenAddress":{"type":"string","minLength":1,"description":"The contract address of the refunded token."},"tokenSymbol":{"type":"string","minLength":1,"description":"The ticker of the refunded token."},"amount":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"amountUsd":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"}},"required":["_tag","nativeToken","amountWei"],"additionalProperties":false},{"type":"object","properties":{"_tag":{"type":"string","enum":["REJECTED_BRIDGE"]},"rejectedDepositAddressBridgeId":{"type":"string","description":"The identifier of the rejected bridge transaction that triggered this refund."},"nativeToken":{"type":"boolean","description":"Whether the refunded asset is the chain's native token."},"amountWei":{"type":"string"},"amount":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"amountUsd":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"tokenAddress":{"type":"string","minLength":1,"description":"The contract address of the refunded token."},"tokenSymbol":{"type":"string","minLength":1,"description":"The ticker of the refunded token."}},"required":["_tag","rejectedDepositAddressBridgeId","nativeToken","amountWei","amount","amountUsd","tokenAddress","tokenSymbol"],"additionalProperties":false}],"description":"The reason that the refund was made."},"originalDepositTxHash":{"type":"string","minLength":1,"description":"The transaction hash of the original deposit that was refunded."},"txHash":{"type":"string","minLength":1,"description":"The transaction hash of the refund that was made."},"txTimestamp":{"type":"string"}},"required":["_tag","refundId","depositAddress","depositChain","recipient","trigger","txHash","txTimestamp"],"additionalProperties":false},"BigDecimalFromStringEncoded":{"type":"string"},"BitcoinAddressSchema":{"anyOf":[{"$ref":"#/components/schemas/BitcoinBech32AddressSchemaEncoded"},{"$ref":"#/components/schemas/BitcoinBase58AddressSchemaEncoded"}],"description":"Bitcoin address (bech32 / bech32m or base58check)"},"BitcoinBase58AddressSchemaEncoded":{"type":"string"},"BitcoinBech32AddressSchemaEncoded":{"type":"string"},"StellarMuxedAddress":{"type":"string"},"SolanaAddress":{"anyOf":[{"type":"string","minLength":22,"maxLength":44},{"type":"string","minLength":16,"maxLength":42}]},"TronAddressBasic":{"type":"string","maxLength":60,"description":"Tron basic address format"},"EthAddressSchemaEncoded":{"type":"string"},"RoutingDepositAddressBridgeDelayedEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["ROUTING_DEPOSIT_ADDRESS_BRIDGE_DELAYED"]},"_id":{"type":"string","minLength":1,"description":"The unique identifier of the bridge transaction."},"tokenSymbol":{"type":"string","minLength":1,"description":"The identifier of the token on the given chain."},"tokenAddress":{"type":"string","minLength":1,"description":"The smart contract of the token."},"amount":{"$ref":"#/components/schemas/AmountWithDecimalsEncoded"},"amountUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"amountWei":{"type":"string"},"sender":{"type":"string","minLength":1,"description":"The address on the depositChain that sent the tokens for bridging / bridging and swapping."},"txHash":{"type":"string","minLength":1,"description":"The uniquely identifiable transaction hash for the deposit transaction into the depositAddress."},"paymentIntentId":{"$ref":"#/components/schemas/PaymentIntentId"},"originalErrorTag":{"type":"string","minLength":1,"description":"An identifier for the underlying error that caused the transaction to fail."},"createdAt":{"type":"string"},"depositAddress":{"type":"object","properties":{"depositChain":{"type":"string","minLength":1},"depositAddress":{"type":"string","minLength":1},"routes":{"type":"array","prefixItems":[{"$ref":"#/components/schemas/SdaRouteEncoded"}],"minItems":1,"items":{"$ref":"#/components/schemas/SdaRouteEncoded"}},"addressNote":{"type":"string","maxLength":80}},"required":["depositChain","depositAddress","routes"],"additionalProperties":false}},"required":["_tag","_id","tokenSymbol","tokenAddress","amount","amountUsd","amountWei","sender","txHash","createdAt","depositAddress"],"additionalProperties":false},"SdaRouteEncoded":{"type":"object","properties":{"matcher":{"anyOf":[{"$ref":"#/components/schemas/sentTokenEncoded"},{"$ref":"#/components/schemas/senderEncoded"},{"$ref":"#/components/schemas/depositChainEncoded"},{"$ref":"#/components/schemas/sentAmountUsdLowerThanEncoded"},{"$ref":"#/components/schemas/sentAmountUsdGreaterThanEncoded"},{"$ref":"#/components/schemas/sentAmountUsdBetweenEncoded"}],"description":"The matcher describes on what kind of transfers this route should match. If no matcher is provided, a route acts as a fallback and will always match unless another route that has a matcher matches the transfer."},"action":{"anyOf":[{"anyOf":[{"$ref":"#/components/schemas/bridgeEncoded"},{"$ref":"#/components/schemas/bridgeSwapEncoded"}]},{"$ref":"#/components/schemas/compositeEncoded"}],"description":"The action to run when this route matches."},"priority":{"type":"integer","minimum":0}},"required":["action"],"additionalProperties":false},"compositeEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["composite"]},"actions":{"anyOf":[{"type":"array","prefixItems":[{"$ref":"#/components/schemas/bridgeEncoded"}],"maxItems":1,"minItems":1},{"type":"array","prefixItems":[{"$ref":"#/components/schemas/bridgeSwapEncoded"}],"maxItems":1,"minItems":1},{"type":"array","prefixItems":[{"$ref":"#/components/schemas/bridgeEncoded"},{"$ref":"#/components/schemas/postBridgeActionEncoded"}],"maxItems":2,"minItems":2},{"type":"array","prefixItems":[{"$ref":"#/components/schemas/bridgeSwapEncoded"},{"$ref":"#/components/schemas/postBridgeActionEncoded"}],"maxItems":2,"minItems":2}]}},"required":["_tag","actions"],"additionalProperties":false},"postBridgeActionEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["postBridgeAction"]},"data":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}]}},"required":["_tag","data"],"additionalProperties":false},"EtherfiDepositPostBridgeData":{"type":"object","properties":{"_tag":{"type":"string","enum":["etherfideposit"]}},"required":["_tag"],"additionalProperties":false},"MapleDepositPostBridgeData":{"type":"object","properties":{"_tag":{"type":"string","enum":["mapledeposit"]}},"required":["_tag"],"additionalProperties":false},"RocketFoundationDepositPostBridgeData":{"type":"object","properties":{"_tag":{"type":"string","enum":["rocketfoundationdeposit"]}},"required":["_tag"],"additionalProperties":false},"AaveV3SupplyPostBridgeData":{"type":"object","properties":{"_tag":{"type":"string","enum":["aavev3supply"]}},"required":["_tag"],"additionalProperties":false},"StarkwareBtcfiCampaignV2PostBridgeData":{"type":"object","properties":{"_tag":{"type":"string","enum":["starkwarebtcfiv2"]},"spans":{"type":"array","items":{"$ref":"#/components/schemas/StarknetFeltEncoded"},"maxItems":70,"description":"A variable relating to the specific post bridge action."}},"required":["_tag","spans"],"additionalProperties":false},"StarknetFeltEncoded":{"type":"string"},"WirexWrapSandboxPostBridgeData":{"type":"object","properties":{"_tag":{"type":"string","enum":["wirexwrapsandbox"]}},"required":["_tag"],"additionalProperties":false},"WirexWrapPostBridgeData":{"type":"object","properties":{"_tag":{"type":"string","enum":["wirexwrap"]}},"required":["_tag"],"additionalProperties":false},"StarkwareBtcfiCampaignPostBridgeData":{"type":"object","properties":{"_tag":{"type":"string","enum":["starkwarebtcfi"]}},"required":["_tag"],"additionalProperties":false},"ExtendedPostBridgeData":{"type":"object","properties":{"_tag":{"type":"string","enum":["extended"]},"vaultId":{"type":"integer","minimum":0,"description":"A variable relating to the specific post bridge action."}},"required":["_tag","vaultId"],"additionalProperties":false},"bridgeSwapEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["bridgeSwap"]},"destinationChain":{"type":"string","minLength":1},"destinationAddress":{"type":"string","minLength":1},"tokenOut":{"type":"string","minLength":1}},"required":["_tag","destinationChain","destinationAddress","tokenOut"],"additionalProperties":false},"bridgeEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["bridge"]},"destinationChain":{"type":"string","minLength":1},"destinationAddress":{"type":"string","minLength":1}},"required":["_tag","destinationChain","destinationAddress"],"additionalProperties":false},"sentAmountUsdBetweenEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["sentAmountUsdBetween"]},"from":{"type":"number","minimum":0,"description":"Matches if the USD value of the transfer is above this lower bound."},"to":{"type":"number","minimum":0,"description":"Matches if the USD value of the transfer is below this upper bound."},"inclusive":{"type":"boolean"}},"required":["_tag","from","to"],"additionalProperties":false},"sentAmountUsdGreaterThanEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["sentAmountUsdGreaterThan"]},"value":{"type":"number","exclusiveMinimum":0,"description":"Matches if the USD value of the transfer is greater than the configured threshold."},"inclusive":{"type":"boolean"}},"required":["_tag","value"],"additionalProperties":false},"sentAmountUsdLowerThanEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["sentAmountUsdLowerThan"]},"value":{"type":"number","exclusiveMinimum":0,"description":"Matches if the USD value of the transfer is lower than the configured threshold."},"inclusive":{"type":"boolean"}},"required":["_tag","value"],"additionalProperties":false},"depositChainEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["depositChain"]},"depositChains":{"type":"array","prefixItems":[{"type":"string","minLength":1}],"minItems":1,"items":{"type":"string","minLength":1},"maxItems":10,"description":"A list of deposit chains. Matches if this list contains the deposit chain of the transfer."}},"required":["_tag","depositChains"],"additionalProperties":false},"senderEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["sender"]},"addresses":{"type":"array","prefixItems":[{"type":"string","minLength":1}],"minItems":1,"items":{"type":"string","minLength":1},"maxItems":10,"description":"A list of addresses. Matches if this list contains the sender of the transfer."}},"required":["_tag","addresses"],"additionalProperties":false},"sentTokenEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["sentToken"]},"symbolsOrAddresses":{"type":"array","prefixItems":[{"type":"string","minLength":1}],"minItems":1,"items":{"type":"string","minLength":1},"maxItems":10,"description":"A list of token symbols or addresses. Matches if this list contains the transferred token."}},"required":["_tag","symbolsOrAddresses"],"additionalProperties":false},"PaymentIntentId":{"type":"string","minLength":1,"description":"Identifier of the payment intent a payment deposit address settles."},"BigDecimalFromNumberEncoded":{"type":"number"},"AmountWithDecimalsEncoded":{"type":"string"},"RoutingDepositAddressBridgeRejectedEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["ROUTING_DEPOSIT_ADDRESS_BRIDGE_REJECTED"]},"_id":{"type":"string","minLength":1,"description":"The unique identifier of the bridge transaction."},"tokenSymbol":{"type":"string","minLength":1,"description":"The identifier of the token on the given chain."},"tokenAddress":{"type":"string","minLength":1,"description":"The smart contract of the token."},"amount":{"$ref":"#/components/schemas/AmountWithDecimalsEncoded"},"amountUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"amountWei":{"type":"string"},"sender":{"type":"string","description":"The address on the depositChain that sent the tokens for bridging / bridging and swapping."},"txHash":{"type":"string","description":"The uniquely identifiable transaction hash for the deposit transaction into the depositAddress."},"paymentIntentId":{"$ref":"#/components/schemas/PaymentIntentId"},"originalErrorTag":{"type":"string","minLength":1,"description":"An identifier for the underlying error that caused the transaction to be rejected."},"originalErrorJson":{"type":"string"},"reason":{"type":"string","enum":["OVER_MAX","UNDER_MIN","OPERATION_UNAVAILABLE","TERMINAL_PROCESSING_ISSUE","NO_ROUTE_FOUND","UNSUPPORTED_TOKEN","SDA_PAUSED","SETTLEMENT_REJECTED","PAYMENT_EXPIRED","PAYMENT_TOKEN_NOT_ACCEPTED","PAYMENT_AMOUNT_MISMATCH","PAYMENT_ALREADY_RECEIVED"],"description":"Further information about why a transaction was rejected. OVER_MAX: the amount deposited was above the maximum value accepted for that token for the Smart Deposit Address (this value can be found via the GET /sda/deposit-addresses/{depositChain}/{destinationChain}/supported-tokens endpoint). UNDER_MIN: the amount deposited was below the minimum value accepted for that token for the Smart Deposit Address (same endpoint to find the value). TERMINAL_PROCESSING_ISSUE: an issue within the Rhino.fi system meant the required swapping and/or bridging activity was not completed; please reach out to your Rhino.fi customer success manager for further information. NO_ROUTE_FOUND: no compatible bridge and/or swap route was able to be found and executed; please reach out to your Rhino.fi customer success manager for further information. UNSUPPORTED_TOKEN: the token that was deposited is not supported for this Smart Deposit Address. SDA_PAUSED: the Smart Deposit Address was paused and not processing deposits at the time the deposit was received. OPERATION_UNAVAILABLE: the deposit could not be processed because the operation was unavailable at the time; please reach out to your Rhino.fi customer success manager for further information. PAYMENT_EXPIRED: the payment Smart Deposit Address expired before the deposit was received. PAYMENT_TOKEN_NOT_ACCEPTED: the deposited token is not one of the tokens the payment Smart Deposit Address was created for. PAYMENT_AMOUNT_MISMATCH: the deposited amount did not exactly match any of the payment Smart Deposit Address's accepted amounts for the deposited token. PAYMENT_ALREADY_RECEIVED: the payment Smart Deposit Address had already received a deposit; each pSDA settles exactly one payment."},"txUid":{"type":"string","minLength":1,"description":"A unique identifier for the deposit transaction within the Rhino.fi system."},"createdAt":{"type":"string"},"blockNumber":{"type":"integer","minimum":0,"description":"The block on the depositChain that the deposit transaction was included in."},"depositAddress":{"type":"object","properties":{"depositChain":{"type":"string","minLength":1},"depositAddress":{"type":"string","minLength":1},"routes":{"type":"array","prefixItems":[{"$ref":"#/components/schemas/SdaRouteEncoded"}],"minItems":1,"items":{"$ref":"#/components/schemas/SdaRouteEncoded"}},"addressNote":{"type":"string","maxLength":80}},"required":["depositChain","depositAddress","routes"],"additionalProperties":false}},"required":["_tag","_id","tokenSymbol","tokenAddress","amount","amountUsd","amountWei","sender","txHash","reason","txUid","createdAt","depositAddress"],"additionalProperties":false},"RoutingDepositAddressCreatedEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["ROUTING_DEPOSIT_ADDRESS_CREATED"]},"depositChain":{"type":"string","minLength":1},"depositAddress":{"type":"string","minLength":1},"routes":{"type":"array","prefixItems":[{"$ref":"#/components/schemas/SdaRouteEncoded"}],"minItems":1,"items":{"$ref":"#/components/schemas/SdaRouteEncoded"}},"addressNote":{"type":"string","maxLength":80}},"required":["_tag","depositChain","depositAddress","routes"],"additionalProperties":false},"DepositAddressBridgeDelayedEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["DEPOSIT_ADDRESS_BRIDGE_DELAYED"]},"_id":{"type":"string","minLength":1,"description":"The unique identifier of the bridge transaction."},"tokenSymbol":{"type":"string","minLength":1,"description":"The identifier of the token on the given chain."},"tokenAddress":{"type":"string","minLength":1,"description":"The smart contract of the token."},"amount":{"$ref":"#/components/schemas/AmountWithDecimalsEncoded"},"amountUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"amountWei":{"type":"string"},"sender":{"type":"string","minLength":1,"description":"The address on the depositChain that sent the tokens for bridging / bridging and swapping."},"txHash":{"type":"string","minLength":1,"description":"The uniquely identifiable transaction hash for the deposit transaction into the depositAddress."},"paymentIntentId":{"$ref":"#/components/schemas/PaymentIntentId"},"originalErrorTag":{"type":"string","minLength":1,"description":"An identifier for the underlying error that caused the transaction to fail."},"createdAt":{"type":"string"},"depositAddress":{"type":"object","properties":{"depositChain":{"type":"string","minLength":1,"description":"The blockchain that the Smart Deposit Address is on and that deposits should be sent to, e.g. \"ETHEREUM\"."},"depositAddress":{"type":"string","minLength":1,"description":"The Rhino.fi Smart Deposit Address that the deposit has been sent to."},"destinationChain":{"type":"string","minLength":1,"description":"The blockchain that the received tokens will be bridged to."},"destinationAddress":{"type":"string","minLength":1,"description":"The blockchain address that the received tokens will be bridged / bridged and swapped to."},"addressNote":{"type":"string","maxLength":80,"description":"A note or label for the deposit address as a reference."},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for specific clients, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"tokenOut":{"type":"string","description":"The token that will be received on the destinationChain."}},"required":["depositChain","depositAddress","destinationChain"],"additionalProperties":false}},"required":["_tag","_id","tokenSymbol","tokenAddress","amount","amountUsd","amountWei","sender","txHash","createdAt","depositAddress"],"additionalProperties":false},"DepositAddressBridgeRejectedEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["DEPOSIT_ADDRESS_BRIDGE_REJECTED"]},"_id":{"type":"string","minLength":1,"description":"The unique identifier of the bridge transaction."},"tokenSymbol":{"type":"string","minLength":1,"description":"The identifier of the token on the given chain."},"tokenAddress":{"type":"string","minLength":1,"description":"The smart contract of the token."},"amount":{"$ref":"#/components/schemas/AmountWithDecimalsEncoded"},"amountUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"amountWei":{"type":"string"},"sender":{"type":"string","description":"The address on the depositChain that sent the tokens for bridging / bridging and swapping."},"txHash":{"type":"string","description":"The uniquely identifiable transaction hash for the deposit transaction into the depositAddress."},"paymentIntentId":{"$ref":"#/components/schemas/PaymentIntentId"},"originalErrorTag":{"type":"string","minLength":1,"description":"An identifier for the underlying error that caused the transaction to be rejected."},"originalErrorJson":{"type":"string"},"reason":{"type":"string","enum":["OVER_MAX","UNDER_MIN","OPERATION_UNAVAILABLE","TERMINAL_PROCESSING_ISSUE","NO_ROUTE_FOUND","UNSUPPORTED_TOKEN","SDA_PAUSED","SETTLEMENT_REJECTED","PAYMENT_EXPIRED","PAYMENT_TOKEN_NOT_ACCEPTED","PAYMENT_AMOUNT_MISMATCH","PAYMENT_ALREADY_RECEIVED"],"description":"Further information about why a transaction was rejected. OVER_MAX: the amount deposited was above the maximum value accepted for that token for the Smart Deposit Address (this value can be found via the GET /sda/deposit-addresses/{depositChain}/{destinationChain}/supported-tokens endpoint). UNDER_MIN: the amount deposited was below the minimum value accepted for that token for the Smart Deposit Address (same endpoint to find the value). TERMINAL_PROCESSING_ISSUE: an issue within the Rhino.fi system meant the required swapping and/or bridging activity was not completed; please reach out to your Rhino.fi customer success manager for further information. NO_ROUTE_FOUND: no compatible bridge and/or swap route was able to be found and executed; please reach out to your Rhino.fi customer success manager for further information. UNSUPPORTED_TOKEN: the token that was deposited is not supported for this Smart Deposit Address. SDA_PAUSED: the Smart Deposit Address was paused and not processing deposits at the time the deposit was received. OPERATION_UNAVAILABLE: the deposit could not be processed because the operation was unavailable at the time; please reach out to your Rhino.fi customer success manager for further information. PAYMENT_EXPIRED: the payment Smart Deposit Address expired before the deposit was received. PAYMENT_TOKEN_NOT_ACCEPTED: the deposited token is not one of the tokens the payment Smart Deposit Address was created for. PAYMENT_AMOUNT_MISMATCH: the deposited amount did not exactly match any of the payment Smart Deposit Address's accepted amounts for the deposited token. PAYMENT_ALREADY_RECEIVED: the payment Smart Deposit Address had already received a deposit; each pSDA settles exactly one payment."},"txUid":{"type":"string","minLength":1,"description":"A unique identifier for the deposit transaction within the Rhino.fi system."},"createdAt":{"type":"string"},"blockNumber":{"type":"integer","minimum":0,"description":"The block on the depositChain that the deposit transaction was included in."},"depositAddress":{"type":"object","properties":{"depositChain":{"type":"string","minLength":1,"description":"The blockchain that the Smart Deposit Address is on and that deposits should be sent to, e.g. \"ETHEREUM\"."},"depositAddress":{"type":"string","minLength":1,"description":"The Rhino.fi Smart Deposit Address that the deposit has been sent to."},"destinationChain":{"type":"string","minLength":1,"description":"The blockchain that the received tokens will be bridged to."},"destinationAddress":{"type":"string","minLength":1,"description":"The blockchain address that the received tokens will be bridged / bridged and swapped to."},"addressNote":{"type":"string","maxLength":80,"description":"A note or label for the deposit address as a reference."},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for specific clients, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"tokenOut":{"type":"string","description":"The token that will be received on the destinationChain."}},"required":["depositChain","depositAddress","destinationChain"],"additionalProperties":false}},"required":["_tag","_id","tokenSymbol","tokenAddress","amount","amountUsd","amountWei","sender","txHash","reason","txUid","createdAt","depositAddress"],"additionalProperties":false},"DepositAddressDepositConfirmingEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["DEPOSIT_ADDRESS_DEPOSIT_CONFIRMING"]},"_id":{"type":"string","minLength":1,"description":"The custody provider's order id for the deposit that it detected."},"tokenSymbol":{"type":"string","minLength":1,"description":"The identifier of the token on the given chain."},"tokenAddress":{"type":"string","minLength":1,"description":"The smart contract of the token."},"amount":{"$ref":"#/components/schemas/AmountWithDecimalsEncoded"},"amountUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"amountWei":{"type":"string"},"sender":{"type":"string","minLength":1,"description":"The address on the depositChain that sent the tokens for bridging / bridging and swapping."},"txHash":{"type":"string","minLength":1,"description":"The uniquely identifiable transaction hash for the deposit transaction into the depositAddress."},"paymentIntentId":{"$ref":"#/components/schemas/PaymentIntentId"},"createdAt":{"type":"string"},"depositAddress":{"type":"object","properties":{"depositChain":{"type":"string","minLength":1,"description":"The blockchain that the Smart Deposit Address is on and that deposits should be sent to, e.g. \"ETHEREUM\"."},"depositAddress":{"type":"string","minLength":1,"description":"The Rhino.fi Smart Deposit Address that the deposit has been sent to."},"destinationChain":{"type":"string","minLength":1,"description":"The blockchain that the received tokens will be bridged to."},"destinationAddress":{"type":"string","minLength":1,"description":"The blockchain address that the received tokens will be bridged / bridged and swapped to."},"addressNote":{"type":"string","maxLength":80,"description":"A note or label for the deposit address as a reference."},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for specific clients, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"tokenOut":{"type":"string","description":"The token that will be received on the destinationChain."}},"required":["depositChain","depositAddress","destinationChain"],"additionalProperties":false}},"required":["_tag","_id","tokenSymbol","tokenAddress","amount","amountUsd","amountWei","sender","txHash","createdAt","depositAddress"],"additionalProperties":false},"DepositAddressDepositDetectedEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["DEPOSIT_ADDRESS_DEPOSIT_DETECTED"]},"_id":{"type":"string","minLength":1,"description":"The custody provider's order id for the deposit that it detected."},"tokenSymbol":{"type":"string","minLength":1,"description":"The identifier of the token on the given chain."},"tokenAddress":{"type":"string","minLength":1,"description":"The smart contract of the token."},"amount":{"$ref":"#/components/schemas/AmountWithDecimalsEncoded"},"amountUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"amountWei":{"type":"string"},"sender":{"type":"string","minLength":1,"description":"The address on the depositChain that sent the tokens for bridging / bridging and swapping."},"txHash":{"type":"string","minLength":1,"description":"The uniquely identifiable transaction hash for the deposit transaction into the depositAddress."},"paymentIntentId":{"$ref":"#/components/schemas/PaymentIntentId"},"createdAt":{"type":"string"},"depositAddress":{"type":"object","properties":{"depositChain":{"type":"string","minLength":1,"description":"The blockchain that the Smart Deposit Address is on and that deposits should be sent to, e.g. \"ETHEREUM\"."},"depositAddress":{"type":"string","minLength":1,"description":"The Rhino.fi Smart Deposit Address that the deposit has been sent to."},"destinationChain":{"type":"string","minLength":1,"description":"The blockchain that the received tokens will be bridged to."},"destinationAddress":{"type":"string","minLength":1,"description":"The blockchain address that the received tokens will be bridged / bridged and swapped to."},"addressNote":{"type":"string","maxLength":80,"description":"A note or label for the deposit address as a reference."},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for specific clients, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"tokenOut":{"type":"string","description":"The token that will be received on the destinationChain."}},"required":["depositChain","depositAddress","destinationChain"],"additionalProperties":false}},"required":["_tag","_id","tokenSymbol","tokenAddress","amount","amountUsd","amountWei","sender","txHash","createdAt","depositAddress"],"additionalProperties":false},"DepositAddressCreatedEventEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["DEPOSIT_ADDRESS_CREATED"]},"depositChain":{"type":"string","minLength":1,"description":"The blockchain that the Smart Deposit Address is on and that deposits should be sent to, e.g. \"ETHEREUM\"."},"depositAddress":{"type":"string","minLength":1,"description":"The Rhino.fi Smart Deposit Address that the deposit has been sent to."},"destinationChain":{"type":"string","minLength":1,"description":"The blockchain that the received tokens will be bridged to."},"destinationAddress":{"type":"string","minLength":1,"description":"The blockchain address that the received tokens will be bridged / bridged and swapped to."},"addressNote":{"type":"string","maxLength":80,"description":"A note or label for the deposit address as a reference."},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for specific clients, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"tokenOut":{"type":"string","description":"The token that will be received on the destinationChain."}},"required":["_tag","depositChain","depositAddress","destinationChain"],"additionalProperties":false},"BridgeRefundedEvent":{"anyOf":[{"$ref":"#/components/schemas/BridgeSwapRefundedEncoded"}]},"BridgeSwapRefundedEncoded":{"type":"object","properties":{"depositTxHash":{"type":"string","description":"The transaction hash of the deposit made on the chainIn."},"depositCommittedAt":{"type":"string"},"reason":{"type":"string","description":"The reason that the transaction was rejected."},"additionalData":{"anyOf":[{"anyOf":[{"type":"object","additionalProperties":{"anyOf":[{"type":"string"},{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]}]}},{"type":"null"}]},{"type":"null"}]},"_tag":{"type":"string","enum":["BRIDGE_REFUNDED"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","properties":{"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string"},"commitmentDate":{"type":"string"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"tokenIn":{"type":"string","description":"The asset that was sent on the chainIn."},"tokenOut":{"type":"string","description":"The asset that was received on the chainOut."},"minAmountOut":{"type":"string","description":"The minimum native value of tokenOut guaranteed to be received on the chainOut, after slippage."},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut."},"usdPriceTokenIn":{"type":"number","description":"The USD price of the tokenIn at the time the quote was created."},"usdPriceTokenOut":{"type":"number","description":"The USD price of the tokenOut at the time the quote was created."},"preSwap":{"$ref":"#/components/schemas/SwapQuoteEncoded"},"postSwap":{"$ref":"#/components/schemas/SwapQuoteEncoded"},"mode":{"type":"string","enum":["pay","receive"],"description":"Whether the amount represented the sending (\"pay\") or receiving (\"receive\") amount when the quote was generated."},"isAtomicSwap":{"type":"boolean","description":"Whether the transaction was executed as an atomic swap."},"swapFeeMultiplier":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"depositDiscoveredAt":{"type":"string"},"depositConfirmedAt":{"type":"string"},"expectedDepositConfirmedAt":{"type":"string"},"expectedDepositConfirmedAtBlock":{"type":"integer","description":"The block on the chainIn at which the deposit transaction is expected to reach the required number of confirmations."},"preSwapTxHash":{"type":"string","description":"The transaction hash of the swap performed on the chainIn before bridging."},"preSwapCommittedAt":{"type":"string"},"isConfirmed":{"type":"boolean","description":"Whether the deposit transaction has reached the required number of confirmations on the chainIn."},"refundTxHash":{"type":"string","minLength":1,"description":"The transaction hash of the refund that was made."},"refundTxTimestamp":{"type":"string"},"refundedToken":{"type":"string","minLength":1,"description":"The asset that was refunded."},"refundedAmount":{"type":"string","description":"The native value of the tokens that were refunded."},"refundedChain":{"type":"string","minLength":1,"description":"The blockchain that the refund was made on."}},"required":["depositTxHash","depositCommittedAt","reason","_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","tokenIn","tokenOut","minAmountOut","minAmountOutUsd","usdPriceTokenIn","usdPriceTokenOut","refundTxHash","refundTxTimestamp","refundedToken","refundedAmount","refundedChain"],"additionalProperties":false},"SwapQuoteEncoded":{"type":"object","properties":{"tokenIn":{"type":"string","description":"The asset that was swapped from."},"tokenOut":{"type":"string","description":"The asset that was swapped to."},"amountIn":{"type":"string","description":"The native value of the tokens that were swapped from."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were swapped from."},"amountOut":{"type":"string","description":"The native value of the tokens that were received from the swap."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were received from the swap."},"minAmountOut":{"type":"string","description":"The minimum native value of tokens guaranteed to be received from the swap, after slippage."},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut."},"aggregator":{"anyOf":[{"type":"string","enum":["KYBERSWAP"],"title":"KYBERSWAP"},{"type":"string","enum":["RHINO"],"title":"RHINO"},{"type":"string","enum":["ONEINCH"],"title":"ONEINCH"},{"type":"string","enum":["BEBOP"],"title":"BEBOP"}],"description":"The swap aggregator used to execute the swap."}},"required":["tokenIn","tokenOut","amountIn","amountInUsd","amountOut","amountOutUsd","minAmountOut","minAmountOutUsd","aggregator"],"additionalProperties":false},"BridgeExecutedEvent":{"anyOf":[{"$ref":"#/components/schemas/SingleBridgeExecutedEncoded"},{"$ref":"#/components/schemas/BridgeSwapExecutedEncoded"},{"$ref":"#/components/schemas/DepositAddressBridgeExecutedEncoded"}]},"DepositAddressBridgeExecutedEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["BRIDGE_EXECUTED"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","properties":{"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string"},"commitmentDate":{"type":"string"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"token":{"type":"string","description":"The asset deposited into the Smart Deposit Address on the chainIn. Where the deposit address performs a swap, the asset received on the chainOut may differ."},"tokenOut":{"type":"string","description":"The asset received on the chainOut where the deposit address performs a swap."},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created."},"depositAddress":{"type":"string","description":"The Rhino.fi Smart Deposit Address that the tokens were deposited to."},"preSwap":{"$ref":"#/components/schemas/SwapQuoteEncoded"},"postSwap":{"$ref":"#/components/schemas/SwapQuoteEncoded"},"paymentIntentId":{"$ref":"#/components/schemas/PaymentIntentId"},"depositTxHash":{"type":"string","description":"The transaction hash of the deposit made on the chainIn."},"depositCommittedAt":{"type":"string"},"depositDiscoveredAt":{"type":"string"},"depositConfirmedAt":{"type":"string"},"expectedDepositConfirmedAt":{"type":"string"},"expectedDepositConfirmedAtBlock":{"type":"integer","description":"The block on the chainIn at which the deposit transaction is expected to reach the required number of confirmations."},"preSwapTxHash":{"type":"string","description":"The transaction hash of the swap performed on the chainIn before bridging."},"preSwapCommittedAt":{"type":"string"},"isConfirmed":{"type":"boolean","description":"Whether the deposit transaction has reached the required number of confirmations on the chainIn."},"withdrawTxHash":{"type":"string","description":"The transaction hash of the withdrawal of the tokens to the recipient on the chainOut."},"withdrawCommittedAt":{"type":"string"},"type":{"type":"string","enum":["depositAddressBridge"]},"addressNote":{"type":"string","maxLength":80,"description":"A note or label for the deposit address as a reference, e.g. \"ClientID123456\" (max 80 characters)."}},"required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","depositAddress","depositTxHash","depositCommittedAt","withdrawTxHash","withdrawCommittedAt","type"],"additionalProperties":false},"BridgeSwapExecutedEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["BRIDGE_EXECUTED"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","properties":{"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string"},"commitmentDate":{"type":"string"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"tokenIn":{"type":"string","description":"The asset that was sent on the chainIn."},"tokenOut":{"type":"string","description":"The asset that was received on the chainOut."},"minAmountOut":{"type":"string","description":"The minimum native value of tokenOut guaranteed to be received on the chainOut, after slippage."},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut."},"usdPriceTokenIn":{"type":"number","description":"The USD price of the tokenIn at the time the quote was created."},"usdPriceTokenOut":{"type":"number","description":"The USD price of the tokenOut at the time the quote was created."},"preSwap":{"$ref":"#/components/schemas/SwapQuoteEncoded"},"postSwap":{"$ref":"#/components/schemas/SwapQuoteEncoded"},"mode":{"type":"string","enum":["pay","receive"],"description":"Whether the amount represented the sending (\"pay\") or receiving (\"receive\") amount when the quote was generated."},"isAtomicSwap":{"type":"boolean","description":"Whether the transaction was executed as an atomic swap."},"swapFeeMultiplier":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"depositTxHash":{"type":"string","description":"The transaction hash of the deposit made on the chainIn."},"depositCommittedAt":{"type":"string"},"depositDiscoveredAt":{"type":"string"},"depositConfirmedAt":{"type":"string"},"expectedDepositConfirmedAt":{"type":"string"},"expectedDepositConfirmedAtBlock":{"type":"integer","description":"The block on the chainIn at which the deposit transaction is expected to reach the required number of confirmations."},"preSwapTxHash":{"type":"string","description":"The transaction hash of the swap performed on the chainIn before bridging."},"preSwapCommittedAt":{"type":"string"},"isConfirmed":{"type":"boolean","description":"Whether the deposit transaction has reached the required number of confirmations on the chainIn."},"withdrawTxHash":{"type":"string","description":"The transaction hash of the withdrawal of the tokens to the recipient on the chainOut."},"withdrawCommittedAt":{"type":"string"},"type":{"type":"string","enum":["bridgeSwap"]}},"required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","tokenIn","tokenOut","minAmountOut","minAmountOutUsd","usdPriceTokenIn","usdPriceTokenOut","depositTxHash","depositCommittedAt","withdrawTxHash","withdrawCommittedAt","type"],"additionalProperties":false},"SingleBridgeExecutedEncoded":{"type":"object","properties":{"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","properties":{"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string"},"commitmentDate":{"type":"string"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"chain":{"anyOf":[{"type":"string","description":"The name of the chain on which the single bridge transaction took place."},{"type":"null"}]},"token":{"type":"string","description":"The token symbol that was bridged (e.g. \"ETH\", \"USDC\")."},"depositAddress":{"type":"string","description":"The Rhino.fi smart contract address on the chainIn that received the tokens to initiate the bridge."},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created."},"_tag":{"type":"string","enum":["BRIDGE_EXECUTED"]},"depositTxHash":{"type":"string","description":"The transaction hash of the deposit made on the chainIn."},"depositCommittedAt":{"type":"string"},"depositDiscoveredAt":{"type":"string"},"depositConfirmedAt":{"type":"string"},"expectedDepositConfirmedAt":{"type":"string"},"expectedDepositConfirmedAtBlock":{"type":"integer","description":"The block on the chainIn at which the deposit transaction is expected to reach the required number of confirmations."},"preSwapTxHash":{"type":"string","description":"The transaction hash of the swap performed on the chainIn before bridging."},"preSwapCommittedAt":{"type":"string"},"isConfirmed":{"type":"boolean","description":"Whether the deposit transaction has reached the required number of confirmations on the chainIn."},"withdrawTxHash":{"type":"string","description":"The transaction hash of the withdrawal of the tokens to the recipient on the chainOut."},"withdrawCommittedAt":{"type":"string"},"type":{"type":"string","enum":["bridge"]}},"required":["_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","_tag","depositTxHash","depositCommittedAt","withdrawTxHash","withdrawCommittedAt","type"],"additionalProperties":false},"BridgeCancelledEvent":{"anyOf":[{"$ref":"#/components/schemas/SingleBridgeCancelledEncoded"},{"$ref":"#/components/schemas/BridgeSwapCancelledEncoded"}]},"BridgeSwapCancelledEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["BRIDGE_CANCELLED"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","properties":{"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string"},"commitmentDate":{"type":"string"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"tokenIn":{"type":"string","description":"The asset that was sent on the chainIn."},"tokenOut":{"type":"string","description":"The asset that was received on the chainOut."},"minAmountOut":{"type":"string","description":"The minimum native value of tokenOut guaranteed to be received on the chainOut, after slippage."},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut."},"usdPriceTokenIn":{"type":"number","description":"The USD price of the tokenIn at the time the quote was created."},"usdPriceTokenOut":{"type":"number","description":"The USD price of the tokenOut at the time the quote was created."},"preSwap":{"$ref":"#/components/schemas/SwapQuoteEncoded"},"postSwap":{"$ref":"#/components/schemas/SwapQuoteEncoded"},"mode":{"type":"string","enum":["pay","receive"],"description":"Whether the amount represented the sending (\"pay\") or receiving (\"receive\") amount when the quote was generated."},"isAtomicSwap":{"type":"boolean","description":"Whether the transaction was executed as an atomic swap."},"swapFeeMultiplier":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"cancelledAt":{"type":"string"}},"required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","tokenIn","tokenOut","minAmountOut","minAmountOutUsd","usdPriceTokenIn","usdPriceTokenOut","cancelledAt"],"additionalProperties":false},"SingleBridgeCancelledEncoded":{"type":"object","properties":{"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","properties":{"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string"},"commitmentDate":{"type":"string"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"anyOf":[{"type":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"]}]},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"chain":{"anyOf":[{"type":"string","description":"The name of the chain on which the single bridge transaction took place."},{"type":"null"}]},"token":{"type":"string","description":"The token symbol that was bridged (e.g. \"ETH\", \"USDC\")."},"depositAddress":{"type":"string","description":"The Rhino.fi smart contract address on the chainIn that received the tokens to initiate the bridge."},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created."},"_tag":{"type":"string","enum":["BRIDGE_CANCELLED"]},"cancelledAt":{"type":"string"}},"required":["_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","_tag","cancelledAt"],"additionalProperties":false},"BridgeAcceptedEvent":{"anyOf":[{"$ref":"#/components/schemas/SingleBridgeAcceptedEncoded"},{"$ref":"#/components/schemas/BridgeSwapAcceptedEncoded"},{"$ref":"#/components/schemas/DepositAddressBridgeAcceptedEncoded"}]},"DepositAddressBridgeAcceptedEncoded":{"type":"object","properties":{"_tag":{"type":"string","enum":["BRIDGE_ACCEPTED"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"platformFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"percentageFee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"percentageFeeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","properties":{"fee":{"$ref":"#/components/schemas/BigDecimalFromStringEncoded"},"feeUsd":{"$ref":"#/components/schemas/BigDecimalFromNumberEncoded"},"gasFee":{"type":"string","description":"Any chain specific costs c
[...]
